/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ForceIndexIndicatorStrategy } from "./ForceIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core";
/**
 * @hidden
 */
export let ForceIndexIndicator = /*@__PURE__*/ (() => {
    class ForceIndexIndicator extends StrategyBasedIndicator {
        bj() {
            return new ForceIndexIndicator();
        }
        get_aa0() {
            return 1;
        }
        constructor() {
            super();
        }
        get_abt() {
            return new ForceIndexIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return ForceIndexIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get ace() {
            return typeGetValue(this.c(ForceIndexIndicator.acf));
        }
        set ace(a) {
            this.h(ForceIndexIndicator.acf, a);
        }
        abz() {
            return this.ace;
        }
        ab8(a) {
            this.ace = a;
        }
    }
    ForceIndexIndicator.$t = /*@__PURE__*/ markType(ForceIndexIndicator, 'ForceIndexIndicator', StrategyBasedIndicator.$);
    ForceIndexIndicator.acf = /*@__PURE__*/ StrategyBasedIndicator.acb(0, ForceIndexIndicator.$);
    return ForceIndexIndicator;
})();
